<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
        </sectionGroup>
        <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
    </configSections>
    <system.diagnostics>
        <sources>
            <!-- This section defines the logging configuration for My.Application.Log -->
            <source name="DefaultSource" switchName="DefaultSwitch">
                <listeners>
                    <add name="FileLog" />
                    <!-- Uncomment the below section to write to the Application Event Log -->
                    <!--<add name="EventLog"/>-->
                </listeners>
            </source>
        </sources>
        <switches>
            <add name="DefaultSwitch" value="Information" />
        </switches>
        <sharedListeners>
            <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter" />
            <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
            <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
        </sharedListeners>
    </system.diagnostics>
  <log4net>
    <appender name="RollingLogFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="C:\Temp\questtool.log" />
      <appendToFile value="true" />
      <rollingStyle value="Composite" />
      <datePattern value="yyyyMM" />
      <maxSizeRollBackups value="3" />
      <maximumFileSize value="100KB" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{yy-MM-dd HH:mm:ss} [%thread] ### %-5level ### %logger:%line - %message%newline%exception" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG" />
        <levelMax value="FATAL" />
      </filter>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{yy-MM-dd HH:mm:ss} [%thread] ##### %-5level ##### %logger:%line - %message%newline%exception" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG" />
        <levelMax value="FATAL" />
      </filter>
    </appender>
    <appender name="TraceAppender" type="log4net.Appender.TraceAppender">
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date{yy-MM-dd HH:mm:ss} [%thread] ##### %-5level ##### %logger:%line - %message%newline%exception" />
      </layout>
      <filter type="log4net.Filter.LevelRangeFilter">
        <levelMin value="DEBUG" />
        <levelMax value="FATAL" />
      </filter>
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="RollingLogFileAppender" />
      <!--<appender-ref ref="ConsoleAppender" />-->
      <appender-ref ref="TraceAppender" />
    </root>
  </log4net>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
  </startup>
  <applicationSettings>
        <Settings>
            <setting name="TryToLog" serializeAs="String">
                <value>False</value>
            </setting>
            <setting name="LogFilePath" serializeAs="String">
                <value>c:\Temp\questtool.txt</value>
            </setting>
        </Settings>
  </applicationSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="NetOffice" publicKeyToken="acf636d62c39f8f5" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.7.3.0" newVersion="1.7.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="OfficeApi" publicKeyToken="7c1c3e9d16cace88" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.7.3.0" newVersion="1.7.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="VBIDEApi" publicKeyToken="a3637beacf571e8a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-1.7.3.0" newVersion="1.7.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
